SimpleQuote Class Reference

market element returning a stored value More...

`#include <ql/quotes/simplequote.hpp>`

Inheritance diagram for SimpleQuote:
[legend]

## Public Member Functions

| SimpleQuote (Real value=Null< Real >())
Quote interface
Real | value () const
| returns the current value
bool | isValid () const
| returns true if the Quote holds a valid value
Public Member Functions inherited from Observable
| Observable (const Observable &)
Observable & | operator= (const Observable &)
void | notifyObservers ()

## Modifiers

Real | setValue (Real value=Null< Real >())
| returns the difference between the new value and the old value
void | reset ()

## Detailed Description

market element returning a stored value

Examples
  BasketLosses.cpp, BermudanSwaption.cpp, Bonds.cpp, CallableBonds.cpp, CDS.cpp, ConvertibleBonds.cpp, CVAIRS.cpp, DiscreteHedging.cpp, EquityOption.cpp, FittedBondCurve.cpp, FRA.cpp, MulticurveBootstrapping.cpp, and Replication.cpp.